title: Commvault Cloud Backup Admin
description: Permissions required for backup operations on GCP Compute Engine.
stage: GA
includedPermissions:
 - compute.disks.create
 - compute.disks.createSnapshot
 - compute.disks.delete
 - compute.disks.get
 - compute.disks.list
 - compute.disks.setLabels
 - compute.disks.use
 - compute.diskTypes.list
 - compute.globalOperations.get
 - compute.instances.attachDisk
 - compute.instances.detachDisk
 - compute.instances.get
 - compute.instances.list
 - compute.machineTypes.get
 - compute.projects.get
 - compute.regionOperations.get
 - compute.regions.get
 - compute.regions.list
 - compute.snapshots.create
 - compute.snapshots.delete
 - compute.snapshots.get
 - compute.snapshots.setLabels
 - compute.snapshots.useReadOnly
 - compute.subnetworks.get
 - compute.zones.get
 - compute.zones.list
 - compute.zoneOperations.get
 - iam.serviceAccounts.actAs
 - iam.serviceAccounts.get
 - iam.serviceAccounts.list
 - resourcemanager.projects.get
 # Storage permissions
 - storage.multipartUploads.create
 - storage.objects.create
 # Encryption permissions
 - cloudkms.cryptoKeyVersions.useToDecrypt
 - cloudkms.cryptoKeyVersions.useToEncrypt
 - cloudkms.cryptoKeys.create
 - cloudkms.cryptoKeys.get
 - cloudkms.cryptoKeys.update
 - cloudkms.keyRings.create
 - cloudkms.keyRings.get